Bug 805015 - Review Request: jboss-jts - Distributed Transaction Manager
Review Request: jboss-jts - Distributed Transaction Manager
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 09:07 EDT by Juan Hernández
Modified: 2012-09-17 18:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: jboss-jts-4.16.2-3.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 12:35:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Juan Hernández 2012-03-20 09:07:37 EDT
Spec URL:

http://jhernand.fedorapeople.org/rpms/jboss-jts/4.16.2-2/jboss-jts.spec

SRPM URL:

http://jhernand.fedorapeople.org/rpms/jboss-jts/4.16.2-2/jboss-jts-4.16.2-2.fc18.src.rpm

Description:

A set of JBoss modules that fully supports ACID transactions
spread across multiple resource managers and application servers.
It implements a Distributed Transaction Manager (DTM) with support
for two-phase commit (2PC) across XA resource managers, JBoss
server instances, and CORBA OTS resources.

JBossJTS implements the Java Transaction Service (JTS) and CORBA
Transaction Service (OTS) specifications.
Comment 1 Marek Goldmann 2012-03-22 14:44:25 EDT
I'll take this.
Comment 2 Marek Goldmann 2012-03-23 06:17:45 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:

$ rpmlint SPECS/jboss-jts.spec 
SPECS/jboss-jts.spec: W: invalid-url Source0: jboss-jts-4.16.2.Final.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

$ rpmlint SRPMS/jboss-jts-4.16.2-2.fc17.src.rpm 
jboss-jts.src: I: enchant-dictionary-not-found en_US
jboss-jts.src: W: file-size-mismatch jbossjta-integration-4.16.2.Final.pom = 15429, https://repository.jboss.org/nexus/service/local/repositories/releases/content/org/jboss/jbossts/jbossjta-integration/4.16.2.Final/jbossjta-integration-4.16.2.Final.pom = 15439
jboss-jts.src: W: file-size-mismatch jbossjta-4.16.2.Final.pom = 15405, https://repository.jboss.org/nexus/service/local/repositories/releases/content/org/jboss/jbossts/jbossjta/4.16.2.Final/jbossjta-4.16.2.Final.pom = 15415
jboss-jts.src: W: invalid-url Source0: jboss-jts-4.16.2.Final.tar.xz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint RPMS/noarch/jboss-jts-4.16.2-2.fc17.noarch.rpm 
jboss-jts.noarch: I: enchant-dictionary-not-found en_US
jboss-jts.noarch: W: incoherent-version-in-changelog 4.16.12-2 ['4.16.2-2.fc17', '4.16.2-2']
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

See #1.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: LGPLv2+
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[X]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :
MD5SUM upstream package:
[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3925679

=== Issues ===
1. Could you please make sure the POMs match upstream?

=== Final Notes ===
1. Please use %{namedversion} in the Sources - this will help maintaining the package in the future.
Comment 3 Juan Hernández 2012-03-23 07:01:42 EDT
Issues have been addressed. The updated spec and SRPM are available here:

http://jhernand.fedorapeople.org/rpms/jboss-jts/4.16.2-3
Comment 4 Marek Goldmann 2012-03-23 08:26:46 EDT
================
*** APPROVED ***
================
Comment 5 Juan Hernández 2012-03-23 08:29:11 EDT
New Package SCM Request
=======================
Package Name: jboss-jts
Short Description: Distributed Transaction Manager
Owners: jhernand
Branches: f17
InitialCC: goldmann
Comment 6 Gwyn Ciesla 2012-03-23 08:48:37 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-03-28 05:58:22 EDT
jboss-jts-4.16.2-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-jts-4.16.2-3.fc17
Comment 8 Fedora Update System 2012-04-11 23:15:02 EDT
jboss-jts-4.16.2-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 9 Fedora Update System 2012-09-01 04:28:22 EDT
jboss-rmi-1.0-api-1.0.4-5.fc17,jboss-jts-4.16.2-8.fc17,jacorb-2.3.1-3.20120215git.fc17,jboss-as-7.1.1-8.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jboss-rmi-1.0-api-1.0.4-5.fc17,jboss-jts-4.16.2-8.fc17,jacorb-2.3.1-3.20120215git.fc17,jboss-as-7.1.1-8.fc17
Comment 10 Fedora Update System 2012-09-01 04:28:46 EDT
jboss-rmi-1.0-api-1.0.4-5.fc18,jboss-jts-4.16.2-8.fc18,jacorb-2.3.1-3.20120215git.fc18,jboss-as-7.1.1-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/jboss-rmi-1.0-api-1.0.4-5.fc18,jboss-jts-4.16.2-8.fc18,jacorb-2.3.1-3.20120215git.fc18,jboss-as-7.1.1-8.fc18
Comment 11 Fedora Update System 2012-09-17 13:25:46 EDT
jboss-rmi-1.0-api-1.0.4-5.fc17, jboss-jts-4.16.2-8.fc17, jacorb-2.3.1-3.20120215git.fc17, jboss-as-7.1.1-8.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-09-17 18:12:23 EDT
jboss-rmi-1.0-api-1.0.4-5.fc18, jboss-jts-4.16.2-8.fc18, jacorb-2.3.1-3.20120215git.fc18, jboss-as-7.1.1-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.